Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Code Recommenders » Code Recommenders build errors - Extenders(Getting started with Code Recommenders Extenders. A brief overview and some common build errors)
Code Recommenders build errors - Extenders [message #1226989] Fri, 03 January 2014 08:29
Aman Singh is currently offline Aman SinghFriend
Messages: 1
Registered: July 2012
Junior Member
I'm trying to build code recommenders plugin from the source using maven build tool.
After importing the projects I'm getting these errors.

Some package declaration errors(screen shot attached). Package declaration in some classes are changed automatically. Am I supposed to rectify them ? or there's any mistake in my project import.


I tried to update projects through : maven > update projects (f5) and again got errors. Cleaning the projects also produce build errors.





Also I'm getting this error in repository-resources/pom.xml file :

maven-enforcer-plugin (goal "enforce") is ignored by m2e.
Plugin execution not covered by lifecycle configuration: org(dot)apache(dot)maven(dot)plugins:maven-remote-resources-plugin:1.5:bundle (execution: bundle-repository-resources, phase: generate-resources)



I would be thankful if someone could suggest a brief overview on how to get started with the projects. In what direction I should work to understand the code.

thanks !
Aman
Previous Topic:[ann] Recommenders 2.0 M1 is out!
Next Topic:[snipmatch] snippet format update with 2.1.1
Goto Forum:
  


Current Time: Mon Dec 22 00:05:04 GMT 2014

Powered by FUDForum. Page generated in 0.02023 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software